- Cal3D 0.11 API Reference -

Public Member Functions | Public Attributes | List of all members
CalQuaternion Class Reference

The quaternion class. More...

`#include <quaternion.h>`

## Public Member Functions

| CalQuaternion (const CalQuaternion &q)
| CalQuaternion (float qx, float qy, float qz, float qw)
float & | operator[] (unsigned int index)
const float & | operator[] (unsigned int index) const
void | operator= (const CalQuaternion &q)
void | operator*= (const CalQuaternion &q)
void | operator*= (const CalVector &v)
bool | operator== (const CalQuaternion &rhs) const
bool | operator!= (const CalQuaternion &rhs) const
void | blend (float d, const CalQuaternion &q)
void | clear ()
void | conjugate ()
void | invert ()
void | set (float qx, float qy, float qz, float qw)

## Public Attributes

float | x
float | y
float | z
float | w

## Detailed Description

The quaternion class.

The documentation for this class was generated from the following file:

- quaternion.h

Generated by The Cal3D Team with Doxygen 1.15.0